cmake_minimum_required(VERSION 3.5)
project(custom_nodes)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(custom_msgs_srvs REQUIRED)
find_package(yaml-cpp REQUIRED)
find_package(visualization_msgs REQUIRED)
# uncomment the following section in order to fill in
# further dependencies manually.
# find_package(<dependency> REQUIRED)



if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following line skips the linter which checks for copyrights
  # uncomment the line when a copyright and license is not present in all source files
  #set(ament_cmake_copyright_FOUND TRUE)
  # the following line skips cpplint (only works in a git repo)
  # uncomment the line when this package is not in a git repo
  #set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()


include_directories( 
  include
  ${CMAKE_CURRENT_SOURCE_DIR}
  ~/Libraries/yaml-cpp/include/yaml-cpp
)


add_executable(order_optimizer_node src/order_optimizer.cpp)

target_link_libraries(order_optimizer_node ${YAML_CPP_LIBRARIES})

ament_target_dependencies(order_optimizer_node rclcpp std_msgs geometry_msgs custom_msgs_srvs yaml-cpp visualization_msgs)




install(DIRECTORY launch DESTINATION share/${PROJECT_NAME})

install(TARGETS
  order_optimizer_node
  DESTINATION lib/${PROJECT_NAME})

ament_package()
